/**
 *  汇总查询表格列
 */
import vm from '@/main';
export const headers = [
  {
    label: vm.$t('message.Pi_OrderNo'),
    key: 'prdOrder',
    width: 250,
  },
  {
    label: vm.$t('message.po_DemandQuantity'),
    key: 'amount', //需求数量
    width: 255,
  },
  {
    label: vm.$t('message.Pi_materielNo'),
    key: 'materialCode', //物料号
    width: 250,
  },
  {
    label: vm.$t('message.CommissionedMaterielDesc'),
    key: 'materialDesc', //物料描述
    width: 300,
  },
];

/**
 * 汇总查询结果表格列
 */
export const resultHeaders = [
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',
    width: 220,
  },
  {
    label: vm.$t('message.po_DemandQuantity'),
    key: 'amount',
  },
  {
    label: vm.$t('message.Pi_CumulativePickingQuantity'),
    key: 'totalMoAmount',
    width: 300,
  },
  {
    label: vm.$t('message.Pi_HandoverQuantity'),
    key: 'totalHvAmount',
  },
  {
    label: vm.$t('message.Pi_Station'),
    key: 'sendSpot',
  },
  {
    label: vm.$t('message.po_MaterielDes'),
    key: 'materialDesc',
    width: 350,
  },
  {
    label: 'MRP',
    key: 'mrpCode',
  },
  {
    label: vm.$t('message.Pi_unit'),
    key: 'unit',
  },
  {
    label: vm.$t('message.Pi_OrderNo'),
    key: 'prdOrder',
  },
  {
    label: vm.$t('message.Pi_FinishedProductModel'),
    key: 'proType',
  },
  {
    label: vm.$t('message.po_Location'),
    key: 'wkposCode',
  },
];

/**
 * 汇总交接查询结果表格列
 */
export const summaryHeaders = [
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',
    width: 220,
  },
  {
    label: vm.$t('message.Summary_QuantityOfThisHandover'),
    key: 'hvAmount',
  },
  // {
  //   label: vm.$t('message.po_DemandQuantity'),
  //   key: 'amount',
  // },
  {
    label: vm.$t('message.Pi_CumulativePickingQuantity'),
    key: 'totalMoAmount',
    width: 300,
  },
  {
    label: vm.$t('message.Pi_HandoverQuantity'),
    key: 'totalHvAmount',
  },
  {
    label: vm.$t('message.po_DemandQuantity'),
    key: 'amount',
  },
  {
    label: vm.$t('message.Pi_Station'),
    key: 'sendSpot',
  },
  {
    label: vm.$t('message.po_MaterielDes'),
    key: 'materialDesc',
    width: 350,
  },
  {
    label: vm.$t('message.Pi_unit'),
    key: 'unit',
  },
  {
    label: vm.$t('message.Summary_FinishedProductMaterialNumber'),
    key: 'prdMaterialCode',
  },
  {
    label: vm.$t('message.po_Location'),
    key: 'wkposCode',
  },
];

/**
 * 按单查询结果表格列
 */
export const orderHeaders = [
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',
    width: 220,
  },
  {
    label: vm.$t('message.Summary_QuantityOfThisHandover'),
    key: 'hvAmount',
  },
  // {
  //   label: vm.$t('message.po_DemandQuantity'),
  //   key: 'amount',
  // },
  {
    label: vm.$t('message.Pi_CumulativePickingQuantity'),
    key: 'totalMoAmount',
    width: 300,
  },
  {
    label: vm.$t('message.Pi_HandoverQuantity'),
    key: 'totalHvAmount',
  },
  {
    label: vm.$t('message.po_DemandQuantity'),
    key: 'amount',
  },
  {
    label: vm.$t('message.Pi_Station'),
    key: 'sendSpot',
  },
  {
    label: vm.$t('message.po_MaterielDes'),
    key: 'materialDesc',
    width: 350,
  },
  {
    label: vm.$t('message.Pi_unit'),
    key: 'unit',
  },
  {
    label: 'MRP',
    key: 'mrpCode',
  },
  {
    label: vm.$t('message.Pi_OrderNo'),
    key: 'prdOrder',
  },
  {
    label: vm.$t('message.Pi_FinishedProductModel'),
    key: 'proType',
  },
  {
    label: vm.$t('message.po_Location'),
    key: 'wkposCode',
  },
];
